<?php
session_start();
error_reporting(0);
$all_ok = 0;

if(isset($_POST['amount']) && 
!empty($_POST['mobile']) && 
!empty($_POST['email'])){
    $all_ok = 1;
    
$txnAmount = $_POST['amount'];
$txnNote = $_POST['txnNote'];
$cust_Mobile = $_POST['mobile'];
$cust_Email = $_POST['email'];

$paramList = array();
$paramList["txnAmount"] = $txnAmount;
$paramList["txnNote"] = $txnNote;
$paramList["cust_Mobile"] = $cust_Mobile;
$paramList["cust_Email"] = $cust_Email;
}
$title = "Gateway Check Out Page";
?>
<html>
<?php require_once('head.php');?>
<body>
    <?php
        if($all_ok == 1){
    ?>
	<center><h1 style="padding-top: 100px;">Please do not refresh this page...</h1></center>
    <form method="post" action="process" name="f1">
		<table border="1">
			<tbody>
			<?php
			foreach($paramList as $name => $value) {
	echo '<input type="hidden" name="' . $name .'" value="' . $value . '">';
			}
			?>
			</tbody>
		</table>
		<script type="text/javascript">
			document.f1.submit();
		</script>
	</form>
    <?php } else {?>
        <center><h1 style="padding-top: 100px;">Something went wrong !</h1></center>
    <?php } ?>
</body>
</html>